## initramfs-tools 0.142ubuntu25

=== debian/changelog ===
initramfs-tools (0.142ubuntu25) noble; urgency=medium

  * Copy only dhcpcd user into initramfs /etc/passwd (LP: #2059739)
  * autopkgtest: Ignore remainig udev processes also on amd64

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 17 Apr 2024 17:55:09 +0200

initramfs-tools (0.142ubuntu24) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:08:30 +0000

initramfs-tools (0.142ubuntu23) noble; urgency=medium

  [ Daniel van Vugt ]
  * hooks/framebuffer: Only add simple/tiny framebuffer drivers. This is to
    limit the size of initrd when FRAMEBUFFER=y is soon enabled for desktop
    installations (LP: #1970069, #1869655).

  [ Benjamin Drung ]
  * autopkgtest: Increase QEMU timeouts on arm64/armhf
  * hooks/framebuffer:
    - Move adding framebuffer drivers into auto_add_modules
    - Drop looking in $MODULESDIR/initrd/ for kernel modules
    - Support MODULES=dep in framebuffer hook

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 21 Mar 2024 10:57:54 +0100

initramfs-tools (0.142ubuntu22) noble; urgency=medium

  * autopkgtest: update systemd-udevd path from /lib to /usr/lib

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Mar 2024 11:03:03 +0100

initramfs-tools (0.142ubuntu21) noble; urgency=medium

  [ Benjamin Drung ]
  * configure_networking:
    - Increase minimum timeout to 30 seconds
    - Fix configuring BOOTIF when using iSCSI (LP: #2056187)
    - Set interface MTU if provided by the DHCP server (LP: #2056194)
    - log sleep durations before retries
  * Copy /etc/passwd into the initramfs to allow dhcpcd running as dhcpcd user
  * Replace obsolete pkg-config build-dependency by pkgconf

  [ Dan Bungert ]
  * Restore nvdimm and dax pmem-related modules (LP: #1981385)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 11 Mar 2024 23:50:43 +0100

initramfs-tools (0.142ubuntu20) noble; urgency=medium

  [ Benjamin Drung ]
  * Fix determing multiarch dir when using libc6-prof's libc.so.6 (LP: #2054171)
  * autopkgtest: Use qemu-system-$(dpkg --print-architecture)

  [ Adam Vodopjan ]
  * unmkinitramfs: add count_bytes iflag in a dd call (LP: #2055055)

  [ Florent 'Skia' Jacquet ]
  * d/t/test-common: fix finding klibc.so

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 02 Mar 2024 17:08:38 +0100
