## initramfs-tools 0.142ubuntu25.1

=== debian/changelog ===
initramfs-tools (0.142ubuntu25.1) noble; urgency=medium

  * configure_network: Call dhcpcd with --nolink --noipv4ll to succeed getting
    a DHCP lease on the first try and avoid a 30 seconds delay (LP: #2065037)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 May 2024 15:03:48 +0200
