## initramfs-tools 0.142ubuntu25.2

=== debian/changelog ===
initramfs-tools (0.142ubuntu25.2) noble; urgency=medium

  [ Jeffery To ]
  * Fix resume failure due to resume=UUID=... in certain cases (LP: #1769297)
  * hooks/resume: Fix resume device type check

  [ Benjamin Drung ]
  * resume: always write valid resume device to /sys/power/resume (LP: #1769297)
  * mkinitramfs: Resolve hidden dependencies after all modules were copied
  * reduce number of dracut-install calls: group dracut-install calls for
    block modules in auto_add_modules and use copy_modules_dir code instead
    of dracut-install calls (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Jul 2024 09:58:14 +0200
