## initramfs-tools 0.142ubuntu25.4

=== debian/changelog ===
initramfs-tools (0.142ubuntu25.4) noble; urgency=medium

  * hook-functions: Call _call_dracut_install instead of manual_add_modules
    when using module filters to fix the regression from previous version
    (LP: #2081700)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 24 Sep 2024 12:49:29 +0200

initramfs-tools (0.142ubuntu25.3) noble; urgency=medium

  * hook-functions: Include all UFS storage drivers (LP: #2081020)
  * reduce number of dracut-install calls: stage all kernel module copying
    when running scripts in /usr/share/initramfs-tools/hooks and copy
    all kernel modules in one go afterwards. (LP: #2081334)
  * Fix build failure with netplan.io 1.0.1-1ubuntu2~24.04.1:
    - test: Make netplan test configs not accessible by others
    - Build-depend on udev for udevadm used by netplan
  * test: Increase QEMU timeout to 120s

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 20 Sep 2024 20:32:24 +0200
