## initramfs-tools 0.142ubuntu25.5

=== debian/changelog ===
initramfs-tools (0.142ubuntu25.5) noble; urgency=medium

  * configure_networking: Configure IPv4 or IPv6 based on iBFT IP address
    (LP: #2091904)
  * test:
    - d/tests/check-log: import improvements from 0.145ubuntu1
    - support setting a disk label in build_fs_ext2
    - test-common: move disc logic out of _run_qemu
    - move wait_for_server_startup to test-common
    - check for QEMU PID in wait_for_server_startup
    - Add qemu-net-iscsi autopkgtest for iBFT test cases

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Feb 2025 15:21:59 +0100
