=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends: debhelper-compat (= 12), bash-completion, pkgconf, libudev-dev, netplan.io [!i386] <!nocheck>, shellcheck [!i386] <!nocheck>
+Build-Depends: debhelper-compat (= 12), bash-completion, pkgconf, libudev-dev, netplan.io [!i386] <!nocheck>, shellcheck [!i386] <!nocheck>, udev [!i386] <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.1.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/initramfs-tools/+git/initramfs-tools
