## initramfs-tools 0.142ubuntu25.8

=== debian/changelog ===
initramfs-tools (0.142ubuntu25.8) noble; urgency=medium

  * Add missing USB drivers for StarFive JH7110 SoC (LP: #2140344)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 04 Feb 2026 18:01:59 +0100
