## initramfs-tools 0.142ubuntu29

=== debian/changelog ===
initramfs-tools (0.142ubuntu29) oracular; urgency=medium

  [ Jeffery To ]
  * Fix resume failure due to resume=UUID=... in certain cases (LP: #1769297)

  [ Benjamin Drung ]
  * resume: always write valid resume device to /sys/power/resume (LP: #1769297)
  * fsck: Mention file system name in failed identification warning
    (LP: #2068077)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 03 Jul 2024 13:55:55 +0200

initramfs-tools (0.142ubuntu28) oracular; urgency=medium

  * hook-functions: Use firmware search order from kernel
  * mkinitramfs: Resolve hidden dependencies after all modules were copied
  * reduce number of dracut-install calls. This can be a breaking change.
    To restore the previous behavior, call apply_add_modules without arguments
    after a manual_add_modules call. (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 04 Jun 2024 16:26:39 +0200

initramfs-tools (0.142ubuntu27) oracular; urgency=medium

  * Run wrap-and-sort
  * initramfs-tools-core: drop support for upgrading from < 0.138
  * Convert debian/copyright to machine-readable format
  * Switch to debhelper 13
  * Bump Standards-Version to 4.7.0
  * Drop Breaks/Conflicts that predate Debian 10 "buster" and Ubuntu 20.04
  * init: fix setting hostname if busybox is not used

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 20 May 2024 01:17:34 +0200

initramfs-tools (0.142ubuntu26) oracular; urgency=medium

  * configure_network: Call dhcpcd with --nolink --noipv4ll to succeed getting
    a DHCP lease on the first try and avoid a 30 seconds delay (LP: #2065037)
  * autopkgtest: Test hostname already set in initrd (LP: #2064926)
  * autopkgtest: Use qemu -cpu max by default

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 09 May 2024 00:12:51 +0200
