=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,14 @@
 # On Debian we can use either busybox or busybox-static, but on Ubuntu
 # and derivatives only busybox-initramfs will work.
 BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
-BUSYBOX_MIN_VERSION := 1:1.30.1-4ubuntu5~
 
 override_dh_gencontrol:
-	echo >> debian/initramfs-tools-core.substvars "busybox:Breaks=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=, % (<< $(BUSYBOX_MIN_VERSION))))"
-	echo >> debian/initramfs-tools-core.substvars "busybox:Depends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| % (>= $(BUSYBOX_MIN_VERSION))))"
+	echo >> debian/initramfs-tools-core.substvars "busybox:Depends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
 	dh_gencontrol
 
 override_dh_install:
 	install -d debian/initramfs-tools-core/usr/sbin
 	sed -e 's,@BUSYBOX_PACKAGES@,$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=or %)),' \
-	    -e 's/@BUSYBOX_MIN_VERSION@/$(BUSYBOX_MIN_VERSION)/' \
 		mkinitramfs > debian/initramfs-tools-core/usr/sbin/mkinitramfs
 	chmod 755 debian/initramfs-tools-core/usr/sbin/mkinitramfs
 	dh_install
