## initramfs-tools 0.142ubuntu30

=== debian/changelog ===
initramfs-tools (0.142ubuntu30) oracular; urgency=medium

  [ Jeffery To ]
  * hooks/resume: Fix resume device type check

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Jul 2024 09:56:37 +0200
