## initramfs-tools 0.142ubuntu34

=== debian/changelog ===
initramfs-tools (0.142ubuntu34) oracular; urgency=medium

  * hook-functions: Include all UFS storage drivers (LP: #2081020)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 20 Sep 2024 10:56:23 +0200

initramfs-tools (0.142ubuntu33) oracular; urgency=medium

  * hook-functions: Print error message on copy_file failure
    to ease debugging cases like LP #1641230.
  * Cherry-pick fixes from Debian 0.144 and 0.145:
    - autopkgtest: Fix name of ppc64el kernel flavour
    - mkinitramfs, hook-functions: Exit with error if dracut-install fails
      (Closes: #1079066)
    - hook_functions: Fix copy_file with source including a directory symlink
      (LP: #2077490)
    - hook-functions: copy_file: Canonicalise target filename
      (Closes: #1079276)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 04 Sep 2024 01:26:32 +0200

initramfs-tools (0.142ubuntu32) oracular; urgency=medium

  * Use 3cpio for unmkinitramfs/lsinitramfs if available (for massive speedup)
    and let initramfs-tools-core suggest 3cpio (LP: #2059976)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 09 Aug 2024 22:01:06 +0200

initramfs-tools (0.142ubuntu31) oracular; urgency=medium

  * Address shellcheck complains:
    - scripts/functions: Quote variable in mask2cidr
    - Replace "echo -n" by printf
    - test: address shellcheck in test scripts
  * Check shell scripts for POSIX sh compliance
  * test: Make netplan test configs not accessible by others
  * Apply the final version of the patches that were merged in Debian, e.g.
    - Use /usr/bin paths for binaries used in the tests
    - test: Increase QEMU timeout to 120s
  * Build-depend on udev for udevadm used by netplan

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 07 Aug 2024 16:40:19 +0200
