=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                libudev-dev,
                netplan.io [!i386] <!nocheck>,
                pkgconf,
-               shellcheck [!i386] <!nocheck>
+               shellcheck [!i386] <!nocheck>,
+               udev [!i386] <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/initramfs-tools/+git/initramfs-tools
@@ -47,7 +48,7 @@
          udev,
          ${busybox:Depends},
          ${misc:Depends}
-Suggests: bash-completion
+Suggests: 3cpio, bash-completion
 Breaks: miniramfs (<< 1.0.2ubuntu1~)
 Description: generic modular initramfs generator (core tools)
  This package contains the mkinitramfs program that can be used to
