=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
     ifeq (,$(filter i386,$(DEB_HOST_ARCH)))
-	shellcheck -e SC1090,SC1091 -s dash hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find docs kernel -type f; } | xargs grep -l '^#!/bin/sh')
+	shellcheck hook-functions $$(find hooks scripts -type f) $$({ find . tests -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find docs kernel -type f; } | xargs grep -l '^#!/bin/sh')
     endif
 	./tests/run-tests
 endif
