=== debian/tests/control ===
--- 
+++ 
@@ -80,26 +80,3 @@
          zstd,
          @
 Restrictions: needs-root
-
-# qemu-net-iscsi fails on arm64: https://launchpad.net/bugs/2097568
-# tgt is missing on armhf on Ubuntu 24.04 (noble)
-Tests: qemu-net-iscsi
-Architecture: amd64 ppc64el s390x
-Restrictions: needs-root
-Depends: busybox | busybox-initramfs,
-         dnsmasq,
-         genext2fs,
-         iproute2,
-         ipxe-qemu,
-         klibc-utils,
-         linux-image-generic,
-         open-iscsi,
-         procps,
-         python3,
-         qemu-efi-aarch64 [arm64],
-         qemu-efi-arm [armhf],
-         qemu-kvm,
-         seabios [ppc64el],
-         tgt,
-         zstd,
-         @
