## initramfs-tools 0.142ubuntu34.1

=== debian/changelog ===
initramfs-tools (0.142ubuntu34.1) oracular; urgency=medium

  * hook-functions: make copy_libgcc to not take any parameters (LP: #2085157)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Nov 2024 14:56:32 +0100
