## initramfs-tools 0.142ubuntu35

=== debian/changelog ===
initramfs-tools (0.142ubuntu35) plucky; urgency=medium

  * hook-functions: make copy_libgcc to not take any parameters (LP: #2085157)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Nov 2024 14:36:43 +0100
