## initramfs-tools 0.142+deb12u3pureos1

=== debian/changelog ===
initramfs-tools (0.142+deb12u3pureos1) crimson; urgency=medium

  * Sync with Debian bookworm, remaining changes:
    - Depend on busybox instead of just recommending it
    - Don't show "Possible missing firmware" messages unless "-v" is passed

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 27 May 2025 05:26:09 +0200

initramfs-tools (0.142+deb12u1pureos1) crimson; urgency=medium

  * Sync with Debian bookworm, remaining changes:
    - Depend on busybox instead of just recommending it
    - Don't show "Possible missing firmware" messages unless "-v" is passed

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 31 Oct 2024 06:50:04 +0100

initramfs-tools (0.140pureos1) byzantium; urgency=medium

  * Merge in 0.140 from Debian stable, remaining change
    - Depend on busybox instead of just recommending it
    - Don't show "Possible missing firmware" messages unless "-v" is passed
  * d/control: Remove Uploaders field
  * d/control: Adjust Maintainer/Vcs to PureOS fork
  * Add d/pureos-ci.yml for CI

 -- Carsten Schoenert <carsten.schoenert@puri.sm>  Wed, 23 Mar 2022 07:19:15 +0100

initramfs-tools (0.132pureos1) green; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Don't show "Possible missing firmware" messages unless "-v" is passed
    - Depend on busybox instead of just recommending it
    - Update Vcs-* and Maintainer fields for PureOS

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 02 Sep 2018 22:10:14 +0200
