=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: initramfs-tools
 Section: utils
 Priority: optional
-Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
+XBSC-Oiginal-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper-compat (= 12), bash-completion
 Rules-Requires-Root: no
 Standards-Version: 4.1.5
-Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
-Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git
+Vcs-Browser: https://source.puri.sm/pureos/core/initramfs-tools
+Vcs-Git: https://source.puri.sm/pureos/core/initramfs-tools.git
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
+XSBC-Original-Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git
 
 Package: initramfs-tools
 Architecture: all
@@ -25,10 +27,10 @@
 Package: initramfs-tools-core
 Architecture: all
 Multi-Arch: foreign
-Recommends: ${busybox:Recommends}, zstd
-Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
+Recommends: zstd
+Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}, ${busybox:Recommends}
 Suggests: bash-completion
-Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
+Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}, busybox-initramfs (<< 1:1.27.2-3)
 Replaces: initramfs-tools (<< 0.121~)
 Description: generic modular initramfs generator (core tools)
  This package contains the mkinitramfs program that can be used to
