=== debian/tests/control ===
Tests: qemu-klibc
Architecture: amd64 armhf s390x
Restrictions: needs-root, breaks-testbed
Depends: genext2fs,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         qemu-efi-arm [armhf],
         qemu-kvm,
         zstd,
         @

Tests: qemu-busybox
Architecture: amd64 armhf s390x
Restrictions: needs-root, breaks-testbed
Depends: busybox | busybox-initramfs,
         genext2fs,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         qemu-efi-arm [armhf],
         qemu-kvm,
         zstd,
         @

Tests: qemu-ata-only
Architecture: amd64
Restrictions: needs-root, breaks-testbed
Depends: genext2fs, klibc-utils, linux-image-generic, qemu-kvm, zstd, @

Tests: qemu-virtio-only qemu-separate-usr qemu-panic-shell
Architecture: amd64 arm64 armhf ppc64el s390x
Restrictions: needs-root, breaks-testbed
Depends: genext2fs,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-kvm,
         seabios [ppc64el],
         zstd,
         @

Tests: qemu-net
Architecture: amd64 arm64 armhf ppc64el s390x
Restrictions: needs-root, breaks-testbed
Depends: genext2fs,
         iproute2,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         procps,
         python3,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-kvm,
         seabios [ppc64el],
         zstd,
         @
