## initramfs-tools 0.146

=== debian/changelog ===
initramfs-tools (0.146) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * [6487f6e] hook-functions: Add soc and extcon drivers
  * [99bea09] hook-functions: Add rpmsg and hwspinlock drivers
  * [7d1c4b4] hook-functions: Add interconnect drivers
  * [cf40492] hook-functions: Add mailbox drivers
  * [6caf9cd] hook-functions: Add memory drivers
  * [82c266d] hook-functions: Add nvmem drivers
  * [6269d10] hook-functions: Add power modules
  * [ee89884] hook-functions: Add spmi modules
  * [4410741] hook-functions: Add qrtr driver
  * [56e9fd6] hook-functions: Add devfreq drivers
  * [2eb8e0e] hook-functions: Add dma drivers
  * [91a439b] hook-functions: Add watchdog drivers
  * [ada64b7] hook-functions: Add usb/typec drivers
  * [cb730ef] hook-functions: Add tty/serial drivers
  * [7033153] hook-functions: Add input/serio drivers
  * [c8a24d8] hook-functions: Add platform/chrome drivers
  * [bc902ab] hook-functions: Handle msm hidden depency on qrtr
  * [508c23b] hook-functions: Add msm to fb modules list

  [ Dmitry Baryshkov ]
  * [7328860] hook-functions: add missing module dependencies for Qualcomm
    plaforms

  [ Ben Hutchings ]
  * [140c572] hook-functions: Expand documentation of copy_exec and
    copy_file
  * [765db02] hook-functions: Restore copy_file's handling of target
    ending in slash (Closes: #1082647)
  * [d5c2430] hook-functions: Exclude usr-merge symlinks in copy_file
    (Closes: #1088959)
  * [6adf789] autopkgtest: Add tests for copy_file function
  * [59d8726] functions: Define list_filter_out function for filtering
    comma-sep lists
  * [c1ad6a5] init: Filter 'tmpfs' out of $ROOTFSTYPE
  * [10bcd21] tests: Add e2fsprogs to dependencies

  [ Benjamin Drung ]
  * [81fd41f] Put compressed kernel modules and firmware in an
    uncompressed cpio (LP: #2028567)
  * [cb06181] unmkinitramfs: use directory names 'cpio1', 'cpio2', etc.
  * [fb0b40d] Declare breaking miniramfs 1.0.2 and older
  * [137d8a9] Drop obsolete shellcheck overrides
  * [cc661aa] Filter net kernel modules by symbol regexp from dracut (LP:
    #2031841)
  * [687cff2] Explicitly call "set -e" instead of specifying on shebang
  * [5eda205] netinfo_to_resolv_conf: clear variables between sourcing
  * [b55854d] netinfo_to_resolv_conf: add net_file to local variables
  * [df2b4b3] hook-functions: make copy_libgcc to not take any parameters
    (LP: #2085157)
  * [370b433] test: log commands that produce output on stdout
  * [ddec7a3] Mark debian/tests/test-common as sh script
  * [9333111] tests: fix shellcheck warning "Declare and assign separately
    to ..."
  * [db53479] tests: Replace 'echo -n' by printf
  * [08ec63c] tests: fix shellcheck warning "variable appears unused"
  * [32630e9] tests: fix shellcheck info "read without -r will mangle
    backslashes"
  * [2c746f1] test: make prepare_network_dumping_rootfs take no parameters
  * [84115f9] test: silence incorrect shellcheck SC2119
  * [a83ddc2] test: fix checking output / initrd content
  * [3ad3f72] d/salsa-ci.yml: include tests in shellcheck

  [ Jeffery To ]
  * [7b10938] Fix resume device type check

 -- Ben Hutchings <benh@debian.org>  Sun, 02 Mar 2025 17:46:36 +0100
