=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
          udev,
          ${misc:Depends}
 Suggests: bash-completion
+Breaks: miniramfs (<< 1.0.3~)
 Description: generic modular initramfs generator (core tools)
  This package contains the mkinitramfs program that can be used to
  create a bootable initramfs for a Linux kernel.  The initramfs should
