=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Tests: qemu-klibc
 Architecture: amd64 armhf s390x
 Restrictions: needs-root, breaks-testbed
-Depends: genext2fs,
+Depends: e2fsprogs,
+         genext2fs,
          ipxe-qemu,
          klibc-utils,
          linux-image-generic,
@@ -14,6 +15,7 @@
 Architecture: amd64 armhf s390x
 Restrictions: needs-root, breaks-testbed
 Depends: busybox | busybox-initramfs,
+         e2fsprogs,
          genext2fs,
          ipxe-qemu,
          klibc-utils,
@@ -26,12 +28,19 @@
 Tests: qemu-ata-only
 Architecture: amd64
 Restrictions: needs-root, breaks-testbed
-Depends: genext2fs, klibc-utils, linux-image-generic, qemu-kvm, zstd, @
+Depends: e2fsprogs,
+         genext2fs,
+         klibc-utils,
+         linux-image-generic,
+         qemu-kvm,
+         zstd,
+         @
 
 Tests: qemu-virtio-only qemu-separate-usr qemu-panic-shell
 Architecture: amd64 arm64 armhf ppc64el s390x
 Restrictions: needs-root, breaks-testbed
-Depends: genext2fs,
+Depends: e2fsprogs,
+         genext2fs,
          ipxe-qemu,
          klibc-utils,
          linux-image-generic,
@@ -45,7 +54,8 @@
 Tests: qemu-net
 Architecture: amd64 arm64 armhf ppc64el s390x
 Restrictions: needs-root, breaks-testbed
-Depends: genext2fs,
+Depends: e2fsprogs,
+         genext2fs,
          iproute2,
          ipxe-qemu,
          klibc-utils,
@@ -58,3 +68,7 @@
          seabios [ppc64el],
          zstd,
          @
+
+Tests: copy-file
+Restrictions: needs-root, breaks-testbed, skip-not-installable, superficial, allow-stderr
+Depends: linux-image-generic, zstd, @
